Solvedprotractor Can´t start protractor, for firefox browser, due a error "Could not find update-config.json. Run 'webdriver-manager update' to download binaries."

Hi,

On the bellow dev environment, the protractor failed to start.

ENV
protractor Version 5.3.2
windows 10 os: x64
Angular CLI: 6.0.8
Node: 8.11.3
Angular: 6.0.7
npm --version
5.6.0
firefox version 61.0

My "protractor.conf.js" has the follow configuration:

exports.config = {
allScriptsTimeout: 11000,
specs: [
'./src//*.e2e-spec.ts'
// './src/
/*.e2e-testrail-spec.ts'
],
capabilities: {
'browserName': 'firefox'
},
directConnect: true,
baseUrl: 'http://localhost:4200/',
framework: 'jasmine',
jasmineNodeOpts: {
showColors: true,
defaultTimeoutInterval: 30000,
print: function() {}
},
onPrepare() {
require('ts-node').register({
project: require('path').join(__dirname, './tsconfig.e2e.json')
});
jasmine.getEnv().addReporter(new SpecReporter({ spec: { displayStacktrace: true } }));
}

};

I run "ng e2e" to start testing but it fails due:

I can´t start testing due a error " [16:37:31] E/direct - Error message: Could not find update-config.json. Run 'webdriver-manager update' to download binaries."

I executed the "webdriver-manager update" but it didn´t resolve.

LOG:

PS Z:\GIT\biblioteca_app\Neadvance\ClientApp> ng e2e
** Angular Live Development Server is listening on localhost:4200, open your browser on http://localhost:4200/ **

Date: 2018-07-05T15:37:29.516Z
Hash: 9b08bd6304a90f781661
Time: 10596ms
chunk {main} main.js, main.js.map (main) 188 kB [initial] [rendered]
chunk {polyfills} polyfills.js, polyfills.js.map (polyfills) 227 kB [initial] [rendered]
chunk {runtime} runtime.js, runtime.js.map (runtime) 5.22 kB [entry] [rendered]
chunk {styles} styles.js, styles.js.map (styles) 245 kB [initial] [rendered]
chunk {vendor} vendor.js, vendor.js.map (vendor) 4.06 MB [initial] [rendered]
i 「wdm」: Compiled successfully.
[16:37:29] I/update - chromedriver: file exists Z:\GIT\biblioteca_app\node_modules\protractor\node_modules\webdriver-manager\selenium\chromedriver_2.40.zip
[16:37:29] I/update - chromedriver: unzipping chromedriver_2.40.zip
[16:37:30] I/update - chromedriver: chromedriver_2.40.exe up to date
(node:229400) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
[16:37:31] I/launcher - Running 1 instances of WebDriver
[16:37:31] I/direct - Using FirefoxDriver directly...
[16:37:31] E/direct - Error code: 135
[16:37:31] E/direct - Error message: Could not find update-config.json. Run 'webdriver-manager update' to download binaries.
[16:37:31] E/direct - Error: Could not find update-config.json. Run 'webdriver-manager update' to download binaries.
at Direct.getNewDriver (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\built\driverProviders\direct.js:91:31)
at Runner.createBrowser (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\built\runner.js:195:43)
at q.then.then (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\built\runner.js:339:29)
at _fulfilled (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:834:54)
at self.promiseDispatch.done (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:863:30)
at Promise.promise.promiseDispatch (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:796:13)
at Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:556:49
at runSingle (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:137:13)
at flush (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:125:13)
at _combinedTickCallback (internal/process/next_tick.js:131:7)
at process._tickCallback (internal/process/next_tick.js:180:9)

[16:37:31] E/launcher - Process exited with error code 135
An unexpected error occured: undefined
PS Z:\GIT\biblioteca_app\Neadvance\ClientApp>

PS Z:\GIT\biblioteca_app\Neadvance\ClientApp> webdriver-manager update
[16:37:35] I/update - chromedriver: file exists C:\Users\crodrigues\AppData\Roaming\npm\node_modules\protractor\node_modules\webdriver-manager\selenium\chromedriver_2.40.zip
[16:37:35] I/update - chromedriver: unzipping chromedriver_2.40.zip
[16:37:35] I/update - chromedriver: chromedriver_2.40.exe up to date
[16:37:35] I/update - selenium standalone: file exists C:\Users\crodrigues\AppData\Roaming\npm\node_modules\protractor\node_modules\webdriver-manager\selenium\selenium-server-standalone-3.13.0.jar
[16:37:35] I/update - selenium standalone: selenium-server-standalone-3.13.0.jar up to date
[16:37:36] I/update - geckodriver: file exists C:\Users\crodrigues\AppData\Roaming\npm\node_modules\protractor\node_modules\webdriver-manager\selenium\geckodriver-v0.21.0.zip
[16:37:36] I/update - geckodriver: unzipping geckodriver-v0.21.0.zip
[16:37:36] I/update - geckodriver: geckodriver-v0.21.0.exe up to date

PS Z:\GIT\biblioteca_app\Neadvance\ClientApp> ng e2e
** Angular Live Development Server is listening on localhost:4200, open your browser on http://localhost:4200/ **

Date: 2018-07-05T15:37:54.627Z
Hash: 9b08bd6304a90f781661
Time: 12095ms
chunk {main} main.js, main.js.map (main) 188 kB [initial] [rendered]
chunk {polyfills} polyfills.js, polyfills.js.map (polyfills) 227 kB [initial] [rendered]
chunk {runtime} runtime.js, runtime.js.map (runtime) 5.22 kB [entry] [rendered]
chunk {styles} styles.js, styles.js.map (styles) 245 kB [initial] [rendered]
chunk {vendor} vendor.js, vendor.js.map (vendor) 4.06 MB [initial] [rendered]
i 「wdm」: Compiled successfully.
[16:37:55] I/update - chromedriver: file exists Z:\GIT\biblioteca_app\node_modules\protractor\node_modules\webdriver-manager\selenium\chromedriver_2.40.zip
[16:37:55] I/update - chromedriver: unzipping chromedriver_2.40.zip
[16:37:55] I/update - chromedriver: chromedriver_2.40.exe up to date
(node:230376) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
[16:37:56] I/launcher - Running 1 instances of WebDriver
[16:37:56] I/direct - Using FirefoxDriver directly...
[16:37:56] E/direct - Error code: 135
[16:37:56] E/direct - Error message: Could not find update-config.json. Run 'webdriver-manager update' to download binaries.
[16:37:56] E/direct - Error: Could not find update-config.json. Run 'webdriver-manager update' to download binaries.
at Direct.getNewDriver (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\built\driverProviders\direct.js:91:31)
at Runner.createBrowser (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\built\runner.js:195:43)
at q.then.then (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\built\runner.js:339:29)
at _fulfilled (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:834:54)
at self.promiseDispatch.done (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:863:30)
at Promise.promise.promiseDispatch (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:796:13)
at Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:556:49
at runSingle (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:137:13)
at flush (Z:\GIT\biblioteca_app\Neadvance\ClientApp\node_modules\protractor\node_modules\q\q.js:125:13)
at _combinedTickCallback (internal/process/next_tick.js:131:7)
at process._tickCallback (internal/process/next_tick.js:180:9)

I even removed all my local repository but i could´t resolve.

17 Answers

✔️Accepted Answer

Yeah, your issue related to this command flow. I also faced with this issue many times. Try to run node node_modules\protractor\bin\webdriver-manager update from project root folder and then start tests.

Other Answers:

Why do I need to run both

webdriver-manager update
and
node node_modules\protractor\bin\webdriver-manager update
?

Related Issues:

17
protractor TS2440: Import declaration conflicts with local declaration of 'PluginConfig'.
May not be the best solution for everyone but you should be able to fix this by adding the following...
11
protractor Protractor tests fail on chrome v56 & v57 - chrome not reachable
UPDATE: Got it to work! According to https://bugs.chromium.org/p/chromedriver/issues/detail?id=878 ...
11
protractor Protractor fails with error code 199 on WebDriver.createSession()
For those still have this issue after checking the official FAQ I fixed the issue by adding the flag...
3
protractor Protractor 5.1.1 doesn't work with Chrome 57
@qualityshepherd To get rid of the password prompts (in a node.js client - please translate for your...
885
components Error: mat-form-field must contain a MatFormFieldControl.
You have to add to app.module.ts: Bug feature request or proposal: When doing a karma/jasmine test I...
608
angular Angular5.x lazyLoad problem, undefined is not a function
For others that find this issue via Google as i did: I had the same problem when trying to lazy load...
348
angular Cyclic dependency error with HttpInterceptor
I resolved simply not setting authService in constructor but getting in the intercept function. ...
286
angular cli Issue: Cannot read property 'thisCompilation' of undefined
Here is the answer from issues #9793 : npm remove webpack npm install webpack@3.11.0 ...
277
angular Uncaught Error: Can't resolve all parameters for ...
You are missing an @Injectable() annotation on your ApiService Support requests like these should li...
275
ngx bootstrap fix(tooltip): tooltip flickering when hover the mouse on the border on the tooltip position
Add pointer-events: none; to the tooltip css problem solved! .tooltip { pointer-events: none; } ...
266
angular Force reload/refresh current route with RouteReuseStrategy
Hi If you really need to trick the Router into reloading the component on each routerLink click ...
260
angular Misleading error message "Cannot find a differ supporting object '[object Object]'"
I just ran into the same issue I'm not sure if the recommended solution will work for my case ...
255
angular cli Error | Could not find plugin "proposal-numeric-separator" | Generating ES5 bundles for differential loading
Try to install @babel/compat-data: ~7.8.0 to devDependencies This is the only workaround which helpe...
251
angularfire Missing exported members after updating to Angular 6.0.0
It looks like rxjs-compat is missing Use npm i rxjs-compat to install the missing rxjs-compat. ...
246
sheetjs How to simply export a Worksheet to xlsx?
There are two issues: each object is mapped to a row so if you want a row with name John and city Se...
236
angular cli Using invalid environment causes error in build (was "ERROR in Cannot read property 'length' of undefined")
Probably not the same cause but we had the same error (Cannot read property 'length' of undefined) w...
232
angular cli ng serve method ip not open in another machines
The solution is simple Just bind to the correct interface address via ng serve --host=0.0.0.0 ...
226
angular cli Incorrect JS paths when ng build -prod is deployed in a subfolder
When you're deploying to non-root path within a domain you'll need to manually update the <base href...
224
angular update 2 to 4 has problem [ts] Property 'map' does not exist on type 'Observable<Response>'.
I met the same problem with the angular cli 6.0.0 and rxjs 6.1.0 And I solved the problem by replaci...
218
angular cli Installation error: permission denied for node-sas
sudo npm install -g --unsafe-perm --verbose @angular/cli Installation error (node-sass) with: node v...
208
angular cli ng build -prod Module not found: Error: Can't resolve './$$_gendir/app/app.module.ngfactory'
Instead of use ng build --prod use ng build --env=prod UPDATE As many of us (thx) have mention this ...
184
angularfire ERROR TypeError: Object(…) is not a function” using AngularFirestore and firebase
@jamesdaniels Yes npm install rxjs@6 rxjs-compat@6 --save It solved the issue. I want to use firebas...
175
storybook Webpack 4 support?
I'm getting the below error when running Storybook with a project using Webpack 4; This is preventin...
173
angular cli Property 'controls' does not exist on type 'AbstractControl'.
Got it! Looked at the docs - FormArray The FormArray class contains the controls property ...
170
angular Angular2 AoT Compiler Errors
pls try /cc @chuckjaz When I try to compile my project with ngc it throws the below error: Error: Er...
167
angular cli [Bug] cli needs to be reloaded when a lazy loaded module is added in routes (FIXED)
I recomended change { path: 'user-panel' loadChildren: './user-panel/user-panel.module#UserPanelModu...
167
prettier Change HTML/JSX formatting to have one attribute/prop per line
The point I am trying to make is that the vertical space matters Wasting it (too much) has negative ...
164
angularfire @firebase/firestore: Firestore (5.8.0): timestampsInSnapshots
eg: app.module.ts Version info Angular: 7.2.1 Firebase: 5.8.0 AngularFire: 5.1.1 In the newest fireb...
162
angular cli AOT build fails
I noticed same problem and after npm i enhanced-resolve@3.3.0 I can build with AOT ...
161
angular cli Cannot find name 'require'. using relative paths...
Ahhh here we go try adding declare var require: any; To src/typings.d.ts I am using a config with re...
160
components [Table] Add example with dynamic columns
For those interested Bug feature request ...
157
angular starter How to include Twitter Bootstrap 3 using webpack
I just tested it now Hi I have taken a look at #214 & #215 but these don't really explain how to set...
152
angular HttpClient.delete() cannot handle a body in its request
It would be great to have body param in .delete() We just migrated our project to HttpClient and for...
147
ng bootstrap No provider for NgbActiveModal! => "Components as content"
try to provide NgbActiveModal on app.module Bug description: When trying to implement the Modal usin...
146
angular cli "No NgModule metadata found for 'AppModule'" after Upgrade to Angular 5.1.0 and AngularCli 1.6.0
I got the same error The issue is fixed only when i manually re installed angular/cli The webpack sh...
142
angularfire 5.2.1 AngularFireAuthGuard causes TypeError: source.lift is not a function
I worked in this way Performing basic docs for AngularFireAuthGuard produces an error related to sou...
141
angular cli ng serve doesn't listen other than localhost
Works with command ng serve --host 0.0.0.0 OS? Windows 7 8 or 10 Linux (which distribution) Mac OSX ...
140
angular Http - Observable completed function not firing
Third callback haven't been called when error occures ES6 promises hasn't method finally only then a...
133
angular Using multiple components in different modules causing "Type X is part of the declarations of 2 modules" error
as @brandonroberts saids create a shared module like this: then use the SharedModule like this.. ...
129
core How to unit test a component with TranslateService and the translate pipe?
I'm just coming up to speed on this stack and was trying to wrap some tests around an Ionic componen...
125
angular cli ng: command not found
Removing NODE and using NVM instead fixed a lot of issues After installing angular-cli with the help...
125
angular cli ng build fails with error Cannot find module 'webpack/lib/node/NodeTemplatePlugin' after updating to v1.3.0
I faced this issue many times recently and always the fix worked for me is : Bug Report or Feature R...
124
angular cli -bash: ng: command not found
This was a pain to figure out Please provide us with the following information: OS? Mac OSX (Seirra)...
124
angular cli Uncaught TypeError: Cannot read property 'apply' of undefined on new install
Downgraded to zone.js@0.8.5 and the problem disappeared. Bug Report or Feature Request (mark with an...
122
angular cli I am on Angular 5 and CLI 1.5 and I get an error
I faced this error after updating a non-CLI project to Angular 5 and @ngtools/webpack 1.8.0 ...
119
ionic framework Bugs when run ionic cordova run ios --device or use --target options
Hi @fwagner thank you for the good news I already build and upload to production So the problem here...
116
core [Question] How to include html tags in your translation strings
If we do <p [innerHtml]={{ 'withSpan' | translate }}></p> we get an error: Parser Error: Got interpo...
115
angular starter Unit test error: Router outlet is not a known element
@eamell - I am still on rc6 and I changed my configuration to RouterTestingModule and it still works...